js_path "/usr/share/nginx/"; # Path to the folder where the custom NJS code module is contained
js_import main from njs/signposting.js; # Relative path to the actual JavaScript file which is in js_path


server {

  listen 80;

  location / {
    root   /usr/share/nginx/html;
    index  index.html index.htm;
    try_files $uri $uri/ /index.html;
  }

  location /result/ {
    js_content main.addSignposting ; # serve the content that is returned by the custom JavaScript code
  }

  error_page   500 502 503 504  /50x.html;

  location = /50x.html {
    root   /usr/share/nginx/html;
  }

  location /solr/ {
    proxy_pass http://index:8983;
  }

}
